AM261x MCU+ SDK: APIs for MATHLIB

| AM261x MCU+ SDK 26.00.00 |

Functions | Macros
APIs for MATHLIB
APIs for SOC Specific Device Drivers

## Introduction

This module contains APIs for optimized trignometric functions.

## Functions
float | ti_arm_sin (float angleRad)
| Computes the trigonometric sine value of the input angle using polynomial approximation techniques. More...
float | ti_arm_cos (float angleRad)
| Computes the trigonometric cosine value of the input angle using polynomial approximation techniques. More...
void | ti_arm_sincos (float angleRad, float *retValues)
| Computes the trigonometric sine and cosine values of the input angle using polynomial approximation techniques. More...
float | ti_arm_asin (float x)
| Computes the trigonometric arcsine value of the input value using polynomial approximation techniques. More...
float | ti_arm_acos (float x)
| Computes the trigonometric arccosine value of the input value using polynomial approximation techniques. More...
float | ti_arm_atan (float x)
| Computes the trigonometric arctangent value of the input value using polynomial approximation techniques. More...
float | ti_arm_atan2 (float y, float x)
| Computes the trigonometric atan2 value of the input values using polynomial approximation techniques. More...
static TRIG_TEXT_SECTION float | ti_arm_sqrt (float x)
| Arm FPU Hardware Single-Precision Square Root Function. More...
static TRIG_TEXT_SECTION float | ti_arm_abs (float x)
| Arm FPU Hardware Single-Precision Absolute Value Function. More...

## Macros
#define | TRIG_TEXT_SECTION __attribute__((section(".trigText"))) __attribute__((always_inline))
#define | TRIG_DATA_SECTION __attribute__((aligned(8), section(".trigData")))

## Macro Definition Documentation

## ◆ TRIG_TEXT_SECTION

#define TRIG_TEXT_SECTION __attribute__((section(".trigText"))) __attribute__((always_inline))

## ◆ TRIG_DATA_SECTION

#define TRIG_DATA_SECTION __attribute__((aligned(8), section(".trigData")))

## Function Documentation

## ◆ ti_arm_sin()

float ti_arm_sin | ( | float | angleRad | ) |

Computes the trigonometric sine value of the input angle using polynomial approximation techniques.

Parameters

  [in] | angleRad | - input angle in radians within [0, 2PI]

Returns
  Computed sine value

Note
  Usage Considerations: Valid input is limited to values between 0 to 2PI. Add 2PI to negative values before calling this function. No error checking is performed on input.

## ◆ ti_arm_cos()

float ti_arm_cos | ( | float | angleRad | ) |

Computes the trigonometric cosine value of the input angle using polynomial approximation techniques.

Parameters

  [in] | angleRad | - - input angle in radians within [0, 2PI]

Returns
  Computed cosine value

Note
  Usage Considerations: Valid input is limited to values between 0 to 2PI. Add 2PI to negative values before calling this function. No error checking is performed on input.

## ◆ ti_arm_sincos()

void ti_arm_sincos | ( | float | angleRad,
|  | float * | retValues
| ) |  |

Computes the trigonometric sine and cosine values of the input angle using polynomial approximation techniques.

Parameters

  [in] | angleRad | - - input angle in radians
  [out] | retValues | - points to the computed sine and cosine values.

Note
  Usage Considerations: Valid input is limited to values between 0 to 2PI. Add 2PI to negative values before calling this function. No error checking is performed on input.

## ◆ ti_arm_asin()

float ti_arm_asin | ( | float | x | ) |

Computes the trigonometric arcsine value of the input value using polynomial approximation techniques.

Parameters

  [in] | x | - input value within the domain of arcsine

Returns
  Computed arcsine value

Note
  Usage Considerations: Valid input is limited to values within the domain of arcsine, [-1, 1]. No error checking is performed on input.

## ◆ ti_arm_acos()

float ti_arm_acos | ( | float | x | ) |

Computes the trigonometric arccosine value of the input value using polynomial approximation techniques.

Parameters

  [in] | x | - input value within the domain of arccosine

Returns
  Computed arccosine value

Note
  Usage Considerations: Valid input is limited to values within the domain of arccosine, [-1, 1]. No error checking is performed on input.

## ◆ ti_arm_atan()

float ti_arm_atan | ( | float | x | ) |

Computes the trigonometric arctangent value of the input value using polynomial approximation techniques.

Parameters

  [in] | x | - input value within the domain of arctangent

Returns
  Computed arctangent value

Note
  Usage Considerations: No error checking is performed on input.

## ◆ ti_arm_atan2()

float ti_arm_atan2 | ( | float | y,
|  | float | x
| ) |  |

Computes the trigonometric atan2 value of the input values using polynomial approximation techniques.

Parameters

  [in] | x | - input value within the domain of arctangent
  [in] | y | - input value within the domain of arctangent

Returns
  Computed atan2 value

Note
  Usage Considerations: No error checking is performed on input.

## ◆ ti_arm_sqrt()

static TRIG_TEXT_SECTION float ti_arm_sqrt | ( | float | x | ) |
| inlinestatic

Arm FPU Hardware Single-Precision Square Root Function.

Parameters

  [in] | x | - input value

Returns
  Square root of an input number

## ◆ ti_arm_abs()

static TRIG_TEXT_SECTION float ti_arm_abs | ( | float | x | ) |
| inlinestatic

Arm FPU Hardware Single-Precision Absolute Value Function.

Parameters

  [in] | x | - input value

Returns
  Absolute value of an input number